import { Block, Dimension, Entity } from "@minecraft/server";
import { digitalBlockOnEvent } from "./digitalBlockOnEvent";

/**
 * Evento onEntityFallOn del componente digitalBlockComponent
 * Addon: Electrical Creativity BP
 * @param {{entity: Entity, face: string, fallDistance: number, block: Block, dimension: Dimension}} event
 */
export const digitalBlockOnEntityFallOnEvent = ({entity, face, fallDistance, block, dimension}) => {
    try {
        digitalBlockOnEvent(block);
    } catch {  }
}